# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'rwyParamsWidget.ui'
#
# Created: Fri Apr 21 23:00:37 2017
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_rwyParamsWidget(object):
    def setupUi(self, rwyParamsWidget):
        rwyParamsWidget.setObjectName("rwyParamsWidget")
        rwyParamsWidget.setEnabled(True)
        rwyParamsWidget.resize(278, 291)
        self.verticalLayout = QtWidgets.QVBoxLayout(rwyParamsWidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.rwyName_info = QtWidgets.QLabel(rwyParamsWidget)
        font = QtGui.QFont()
        font.setPointSize(15)
        font.setBold(True)
        font.setWeight(75)
        self.rwyName_info.setFont(font)
        self.rwyName_info.setAlignment(QtCore.Qt.AlignCenter)
        self.rwyName_info.setObjectName("rwyName_info")
        self.verticalLayout.addWidget(self.rwyName_info)
        self.hasILS_tickBox = QtWidgets.QCheckBox(rwyParamsWidget)
        self.hasILS_tickBox.setObjectName("hasILS_tickBox")
        self.verticalLayout.addWidget(self.hasILS_tickBox)
        self.line = QtWidgets.QFrame(rwyParamsWidget)
        self.line.setFrameShape(QtWidgets.QFrame.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.finalLeg_groupBox = QtWidgets.QGroupBox(rwyParamsWidget)
        self.finalLeg_groupBox.setEnabled(True)
        self.finalLeg_groupBox.setChecked(False)
        self.finalLeg_groupBox.setObjectName("finalLeg_groupBox")
        self.formLayout = QtWidgets.QFormLayout(self.finalLeg_groupBox)
        self.formLayout.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName("formLayout")
        self.label_2 = QtWidgets.QLabel(self.finalLeg_groupBox)
        self.label_2.setObjectName("label_2")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_2)
        self.FPA_edit = QtWidgets.QDoubleSpinBox(self.finalLeg_groupBox)
        self.FPA_edit.setDecimals(1)
        self.FPA_edit.setMinimum(1.0)
        self.FPA_edit.setMaximum(10.0)
        self.FPA_edit.setSingleStep(0.1)
        self.FPA_edit.setObjectName("FPA_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.FPA_edit)
        self.label = QtWidgets.QLabel(self.finalLeg_groupBox)
        self.label.setObjectName("label")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label)
        self.centreLineLength_edit = QtWidgets.QSpinBox(self.finalLeg_groupBox)
        self.centreLineLength_edit.setMinimum(1)
        self.centreLineLength_edit.setMaximum(99)
        self.centreLineLength_edit.setObjectName("centreLineLength_edit")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.centreLineLength_edit)
        self.label_3 = QtWidgets.QLabel(self.finalLeg_groupBox)
        self.label_3.setObjectName("label_3")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label_3)
        self.coneHalfAngle_edit = QtWidgets.QSpinBox(self.finalLeg_groupBox)
        self.coneHalfAngle_edit.setMinimum(1)
        self.coneHalfAngle_edit.setMaximum(45)
        self.coneHalfAngle_edit.setObjectName("coneHalfAngle_edit")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.coneHalfAngle_edit)
        self.verticalLayout.addWidget(self.finalLeg_groupBox)
        self.groupBox = QtWidgets.QGroupBox(rwyParamsWidget)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.acftCat_props_tickBox = QtWidgets.QCheckBox(self.groupBox)
        self.acftCat_props_tickBox.setObjectName("acftCat_props_tickBox")
        self.gridLayout.addWidget(self.acftCat_props_tickBox, 0, 0, 1, 1)
        self.acftCat_jets_tickBox = QtWidgets.QCheckBox(self.groupBox)
        self.acftCat_jets_tickBox.setObjectName("acftCat_jets_tickBox")
        self.gridLayout.addWidget(self.acftCat_jets_tickBox, 0, 1, 1, 1)
        self.acftCat_turboprops_tickBox = QtWidgets.QCheckBox(self.groupBox)
        self.acftCat_turboprops_tickBox.setObjectName("acftCat_turboprops_tickBox")
        self.gridLayout.addWidget(self.acftCat_turboprops_tickBox, 1, 0, 1, 1)
        self.acftCat_heavy_tickBox = QtWidgets.QCheckBox(self.groupBox)
        self.acftCat_heavy_tickBox.setObjectName("acftCat_heavy_tickBox")
        self.gridLayout.addWidget(self.acftCat_heavy_tickBox, 1, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox)
        self.label_2.setBuddy(self.FPA_edit)
        self.label.setBuddy(self.centreLineLength_edit)
        self.label_3.setBuddy(self.coneHalfAngle_edit)

        self.retranslateUi(rwyParamsWidget)
        QtCore.QMetaObject.connectSlotsByName(rwyParamsWidget)
        rwyParamsWidget.setTabOrder(self.hasILS_tickBox, self.FPA_edit)
        rwyParamsWidget.setTabOrder(self.FPA_edit, self.centreLineLength_edit)
        rwyParamsWidget.setTabOrder(self.centreLineLength_edit, self.coneHalfAngle_edit)

    def retranslateUi(self, rwyParamsWidget):
        _translate = QtCore.QCoreApplication.translate
        self.rwyName_info.setText(_translate("rwyParamsWidget", "###"))
        self.hasILS_tickBox.setText(_translate("rwyParamsWidget", "This runway has ILS"))
        self.finalLeg_groupBox.setTitle(_translate("rwyParamsWidget", "ILS parameters / final leg display options"))
        self.label_2.setText(_translate("rwyParamsWidget", "Flight path angle:"))
        self.FPA_edit.setSuffix(_translate("rwyParamsWidget", " %"))
        self.label.setText(_translate("rwyParamsWidget", "LOC range / centre line length:"))
        self.centreLineLength_edit.setSuffix(_translate("rwyParamsWidget", " NM"))
        self.label_3.setText(_translate("rwyParamsWidget", "LOC angle / cone half-angle :"))
        self.coneHalfAngle_edit.setSuffix(_translate("rwyParamsWidget", " °"))
        self.groupBox.setTitle(_translate("rwyParamsWidget", "Accepted ACFT categories"))
        self.acftCat_props_tickBox.setText(_translate("rwyParamsWidget", "Propeller planes"))
        self.acftCat_jets_tickBox.setText(_translate("rwyParamsWidget", "Jets"))
        self.acftCat_turboprops_tickBox.setText(_translate("rwyParamsWidget", "Turboprops"))
        self.acftCat_heavy_tickBox.setText(_translate("rwyParamsWidget", "Heavy"))

